import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/spaces_management/structure_selector/bloc/center_body_event.dart';
import 'package:syncrow_web/pages/spaces_management/structure_selector/bloc/center_body_state.dart';

// Bloc Implementation
class CenterBodyBloc extends Bloc<CenterBodyEvent, CenterBodyState> {
  CenterBodyBloc() : super(InitialState()) {
    on<CommunityStructureSelectedEvent>((event, emit) {
      emit(CommunityStructureState());
    });

    on<SpaceModelSelectedEvent>((event, emit) {
      emit(SpaceModelState());
    });

     on<CommunitySelectedEvent>((event, emit) {
      emit(CommunitySelectedState());
    });
  }
}
